com.sun.jdi.request

## Class InvalidRequestStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.jdi.request.InvalidRequestStateException

All Implemented Interfaces:
  Serializable

    @Exported
    public class InvalidRequestStateException
    extends RuntimeException

Thrown to indicate that the requested event cannot be modified because it is enabled. Filters can be added only to disabled event requests. Also thrown if an operation is attempted on a deleted request. See `EventRequestManager.deleteEventRequest(EventRequest)`

Since:
  1.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidRequestStateException()`
`InvalidRequestStateException(String s)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRequestStateException

    public InvalidRequestStateException()

#### InvalidRequestStateException

    public InvalidRequestStateException(String s)